device_type: qemu

job_name: acs-testing-{{ ci_job_id }}

timeouts:
  job:
    minutes: 600
  action:
    minutes: 600
  connection:
    minutes: 2

visibility:
  group:
  - AlwaysReady

context:
  arch: aarch64
  machine: virt,secure=on
  cpu: cortex-a57
  guestfs_interface: virtio
  netdevice: user

actions:

- deploy:
    timeout:
      minutes: 30
    to: tmpfs
    images:
      1rootfs:
        image_arg: -drive id=disk1,file={1rootfs},if=none,format=raw -device virtio-blk-device,drive=disk1 -nographic -m 2048 -smp 4 -no-acpi
        url: https://gitlab.com/Linaro/trustedsubstrate/systemready/acs-testing/-/raw/main/images/ir-acs-live-image-generic-arm64.wic.xz
        compression: xz
      2bios:
        image_arg: -drive if=pflash,unit=0,readonly=off,file={2bios},format=raw
        url: {{ firmware_url["flash.bin-qemu.gz"] }}
        compression: gz
    os: oe

- deploy:
    to: downloads
    images:
      curl:
        url: https://github.com/moparisthebest/static-curl/releases/download/v8.0.1/curl-aarch64

- boot:
    method: qemu
    media: tmpfs
    docker:
      image: registry.gitlab.com/linaro/blueprints/qemu-swtpm
      binary: /usr/local/bin/qemu-system-aarch64-swtpm
    timeout:
      minutes: 600
    auto_login:
      login_prompt: "login:"
      username: "root"
    prompts:
      - root@(.*):[/~]#

- test:
    timeout:
      minutes: 5
      skip: false
    interactive:
    - name: smoke-ls
      prompts:
        - root@(.*):[/~]#
      echo: discard
      script:
      - name: run-ls
        command: "ls / && wget http://{SERVER_IP}/tmp/{JOB_ID}/downloads/common/curl-aarch64 -O /usr/bin/curl && chmod +x /usr/bin/curl && which curl"

- test:
    timeout:
      minutes: 5
    definitions:
    - repository: https://gitlab.com/Linaro/trustedsubstrate/systemready/test-definitions.git
      from: git
      path: acs/publish-results.yml
      name: publish-acs-results
      parameters:
        SQUAD_URL: "{{ squad_host }}/api/submit/{{ squad_group }}/{{ squad_project }}/{{ squad_build }}/{{ squad_device }}"
        SQUAD_TOKEN: "{{ squad_token }}"
